CFStatement (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.statements

## Class CFStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement

- Direct Known Subclasses:
    BatchStatement.Parsed, CreateTableStatement.RawStatement, ModificationStatement.Parsed, SchemaAlteringStatement, SelectStatement.RawStatement, TruncateStatement

      public abstract class CFStatement
      extends ParsedStatement

  Abstract class for statements that apply on a given column family.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `ParsedStatement.Prepared`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CFName` | `cfName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CFStatement(CFName cfName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `columnFamily()`
    `java.lang.String` | `keyspace()`
    `void` | `prepareKeyspace(ClientState state)`
    `void` | `prepareKeyspace(java.lang.String keyspace)`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `getBoundVariables, getFunctions, prepare, setBoundVariables, setBoundVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cfName

          protected final CFName cfName

  - ### Constructor Detail

    - #### CFStatement

          protected CFStatement(CFName cfName)

  - ### Method Detail

    - #### prepareKeyspace

          public void prepareKeyspace(ClientState state)
                               throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### prepareKeyspace

          public void prepareKeyspace(java.lang.String keyspace)

    - #### keyspace

          public java.lang.String keyspace()

    - #### columnFamily

          public java.lang.String columnFamily()

Copyright © 2018 The Apache Software Foundation